%define upstream_name    File-Share
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extend File::ShareDir to Local Libraries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::ShareDir) >= 1.30.0
BuildArch:  noarch

%description
THis module is a dropin replacement for the File::ShareDir manpage. It
supports the 'dist_dir' and 'dist_file' functions, except these functions
have been enhanced to understand when the developer's local './share/'
directory should be used.

NOTE: module_dist and module_file are not yet supported, because (afaik)
there is no well known way to populate per-module share files. This may
change in the future.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 534870
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 479855
- update to 0.03

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 367371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 154762
- update to 0.02

* Thu Jun 30 2011 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 116712
- imported package perl-File-Share


* Thu Jun 30 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
